-- ----------------------------------------------------------------------------
goalGatherStonePieces.mSteps = 
{
	{ action = "click", object = objectHoHmSlidingPiece01 },
	{ action = "click", object = objectHoHmSlidingPiece02 },
	{ action = "click", object = objectHoHmSlidingPiece03 },
	{ action = "click", object = objectHoHmSlidingPiece04 },
	{ action = "click", object = objectHoHmSlidingPiece05 },
	{ action = "click", object = objectHoHmSlidingPiece06 },
	{ action = "click", object = objectHoHmSlidingPiece07 },
	{ action = "click", object = objectHoHmSlidingPiece08 },
}
-- ----------------------------------------------------------------------------
goalGatherStonePieces.readyToStart = false
-- ----------------------------------------------------------------------------
function goalGatherStonePieces:shouldStart()

	return self.readyToStart

end
-- ----------------------------------------------------------------------------
function goalGatherStonePieces:onLayoutShow(layout)

	if (not self.readyToStart) then
		if (layout == layoutCryptHookman) then
			self.readyToStart = true
		end	
	end

end
-- ----------------------------------------------------------------------------
function goalGatherStonePieces:onStarted()

	objectHoHmSlidingPiece01:ss(kActive)
	objectHoHmSlidingPiece02:ss(kActive)
	objectHoHmSlidingPiece03:ss(kActive)
	objectHoHmSlidingPiece04:ss(kActive)
	objectHoHmSlidingPiece05:ss(kActive)
	objectHoHmSlidingPiece06:ss(kActive)
	objectHoHmSlidingPiece07:ss(kActive)
	objectHoHmSlidingPiece08:ss(kActive)

end
-- ----------------------------------------------------------------------------
function goalGatherStonePieces:onClickHO(layout, object, props, x, y)

	if ((objectHoHmSlidingPiece01:isFound()) and
		(objectHoHmSlidingPiece02:isFound()) and
		(objectHoHmSlidingPiece03:isFound()) and
		(objectHoHmSlidingPiece04:isFound()) and
		(objectHoHmSlidingPiece05:isFound()) and
		(objectHoHmSlidingPiece06:isFound()) and
		(objectHoHmSlidingPiece07:isFound()) and
		(objectHoHmSlidingPiece08:isFound())) then

		self:achieved()

	end

end